// StatsDlg.h : header file for the TStatsDlg properties dialog.
//

#pragma once

#include "resource.h"
#include "Engine/Engine.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// TStatsDlg Dialog Class
// 
class TStatsDlg : public TDialog
{
   ////////////////////////////////
   // Interface
   ////////////////////////////////
   public:

	TStatsDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~TStatsDlg();

   // Dialog Data
	enum { IDD = IDD_STATS };
   CString m_strStats;
   CString m_strTitle;
   bool m_bReadOnly;
   
   ////////////////////////////////
   // Implementation
   ////////////////////////////////
   protected:

   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
   CEdit m_editStats;
   CButton m_btnOk;
   CButton m_btnCancel;
};
